Skip to content
configure 611 KiB
Newer Older
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
BZIP2=$ac_cv_path_BZIP2
if test -n "$BZIP2"; then
  { echo "$as_me:$LINENO: result: $BZIP2" >&5
echo "${ECHO_T}$BZIP2" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
# Extract the first word of "cat", so it can be a program name with args.
set dummy cat; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_CAT+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  case $CAT in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_CAT="$CAT" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
    ac_cv_path_CAT="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
done
IFS=$as_save_IFS

  ;;
esac
fi
CAT=$ac_cv_path_CAT
if test -n "$CAT"; then
  { echo "$as_me:$LINENO: result: $CAT" >&5
echo "${ECHO_T}$CAT" >&6; }
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi


Torok Edwin's avatar
Torok Edwin committed
# Extract the first word of "doxygen", so it can be a program name with args.
set dummy doxygen; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_DOXYGEN+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
  case $DOXYGEN in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_DOXYGEN="$DOXYGEN" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_DOXYGEN="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
DOXYGEN=$ac_cv_path_DOXYGEN
if test -n "$DOXYGEN"; then
  { echo "$as_me:$LINENO: result: $DOXYGEN" >&5
echo "${ECHO_T}$DOXYGEN" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
Torok Edwin's avatar
Torok Edwin committed
# Extract the first word of "groff", so it can be a program name with args.
set dummy groff; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_GROFF+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
  case $GROFF in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_GROFF="$GROFF" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_GROFF="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
GROFF=$ac_cv_path_GROFF
if test -n "$GROFF"; then
  { echo "$as_me:$LINENO: result: $GROFF" >&5
echo "${ECHO_T}$GROFF" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
Torok Edwin's avatar
Torok Edwin committed
# Extract the first word of "gzip", so it can be a program name with args.
set dummy gzip; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_GZIP+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
  case $GZIP in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_GZIP="$GZIP" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_GZIP="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
GZIP=$ac_cv_path_GZIP
if test -n "$GZIP"; then
  { echo "$as_me:$LINENO: result: $GZIP" >&5
echo "${ECHO_T}$GZIP" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
Torok Edwin's avatar
Torok Edwin committed
# Extract the first word of "pod2html", so it can be a program name with args.
set dummy pod2html; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_POD2HTML+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
  case $POD2HTML in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_POD2HTML="$POD2HTML" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_POD2HTML="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
POD2HTML=$ac_cv_path_POD2HTML
if test -n "$POD2HTML"; then
  { echo "$as_me:$LINENO: result: $POD2HTML" >&5
echo "${ECHO_T}$POD2HTML" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
Torok Edwin's avatar
Torok Edwin committed
# Extract the first word of "pod2man", so it can be a program name with args.
set dummy pod2man; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_POD2MAN+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
  case $POD2MAN in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_POD2MAN="$POD2MAN" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_POD2MAN="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
POD2MAN=$ac_cv_path_POD2MAN
if test -n "$POD2MAN"; then
  { echo "$as_me:$LINENO: result: $POD2MAN" >&5
echo "${ECHO_T}$POD2MAN" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
# Extract the first word of "pdfroff", so it can be a program name with args.
set dummy pdfroff; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_PDFROFF+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  case $PDFROFF in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_PDFROFF="$PDFROFF" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
    ac_cv_path_PDFROFF="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
done
IFS=$as_save_IFS

  ;;
esac
fi
PDFROFF=$ac_cv_path_PDFROFF
if test -n "$PDFROFF"; then
  { echo "$as_me:$LINENO: result: $PDFROFF" >&5
echo "${ECHO_T}$PDFROFF" >&6; }
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi


Torok Edwin's avatar
Torok Edwin committed
# Extract the first word of "runtest", so it can be a program name with args.
set dummy runtest; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_RUNTEST+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
  case $RUNTEST in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_RUNTEST="$RUNTEST" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_RUNTEST="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
Torok Edwin's avatar
Torok Edwin committed
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
RUNTEST=$ac_cv_path_RUNTEST
if test -n "$RUNTEST"; then
  { echo "$as_me:$LINENO: result: $RUNTEST" >&5
echo "${ECHO_T}$RUNTEST" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
Torok Edwin's avatar
Torok Edwin committed
no_itcl=true
{ echo "$as_me:$LINENO: checking for the tclsh program in tclinclude directory" >&5
echo $ECHO_N "checking for the tclsh program in tclinclude directory... $ECHO_C" >&6; }
Reid Spencer's avatar
Reid Spencer committed

Torok Edwin's avatar
Torok Edwin committed
# Check whether --with-tclinclude was given.
if test "${with_tclinclude+set}" = set; then
Torok Edwin's avatar
Torok Edwin committed
  withval=$with_tclinclude; with_tclinclude=${withval}
else
  with_tclinclude=''
fi
Reid Spencer's avatar
Reid Spencer committed

if test "${ac_cv_path_tclsh+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
Reid Spencer's avatar
Reid Spencer committed

Torok Edwin's avatar
Torok Edwin committed
if test x"${with_tclinclude}" != x ; then
  if test -f ${with_tclinclude}/tclsh ; then
    ac_cv_path_tclsh=`(cd ${with_tclinclude}; pwd)`
  elif test -f ${with_tclinclude}/src/tclsh ; then
    ac_cv_path_tclsh=`(cd ${with_tclinclude}/src; pwd)`
    { { echo "$as_me:$LINENO: error: ${with_tclinclude} directory doesn't contain tclsh" >&5
echo "$as_me: error: ${with_tclinclude} directory doesn't contain tclsh" >&2;}
   { (exit 1); exit 1; }; }
Reid Spencer's avatar
Reid Spencer committed
fi
Torok Edwin's avatar
Torok Edwin committed
fi
Reid Spencer's avatar
Reid Spencer committed


Torok Edwin's avatar
Torok Edwin committed
if test x"${ac_cv_path_tclsh}" = x ; then
  { echo "$as_me:$LINENO: result: none" >&5
echo "${ECHO_T}none" >&6; }
Torok Edwin's avatar
Torok Edwin committed
  for ac_prog in tclsh8.4 tclsh8.4.8 tclsh8.4.7 tclsh8.4.6 tclsh8.4.5 tclsh8.4.4 tclsh8.4.3 tclsh8.4.2 tclsh8.4.1 tclsh8.4.0 tclsh8.3 tclsh8.3.5 tclsh8.3.4 tclsh8.3.3 tclsh8.3.2 tclsh8.3.1 tclsh8.3.0 tclsh
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_TCLSH+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
  case $TCLSH in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_TCLSH="$TCLSH" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_TCLSH="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
TCLSH=$ac_cv_path_TCLSH
if test -n "$TCLSH"; then
  { echo "$as_me:$LINENO: result: $TCLSH" >&5
echo "${ECHO_T}$TCLSH" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
Torok Edwin's avatar
Torok Edwin committed
  test -n "$TCLSH" && break
done
Torok Edwin's avatar
Torok Edwin committed
  if test x"${TCLSH}" = x ; then
    ac_cv_path_tclsh='';
  else
    ac_cv_path_tclsh="${TCLSH}";
  fi
else
  { echo "$as_me:$LINENO: result: ${ac_cv_path_tclsh}" >&5
echo "${ECHO_T}${ac_cv_path_tclsh}" >&6; }
Torok Edwin's avatar
Torok Edwin committed
  TCLSH="${ac_cv_path_tclsh}"
Torok Edwin's avatar
Torok Edwin committed
fi
Torok Edwin's avatar
Torok Edwin committed
# Extract the first word of "zip", so it can be a program name with args.
set dummy zip; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_ZIP+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
  case $ZIP in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_ZIP="$ZIP" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_ZIP="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
ZIP=$ac_cv_path_ZIP
if test -n "$ZIP"; then
  { echo "$as_me:$LINENO: result: $ZIP" >&5
echo "${ECHO_T}$ZIP" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
Torok Edwin's avatar
Torok Edwin committed
for ac_prog in ocamlc
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_OCAMLC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
  case $OCAMLC in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_OCAMLC="$OCAMLC" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_OCAMLC="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
OCAMLC=$ac_cv_path_OCAMLC
if test -n "$OCAMLC"; then
  { echo "$as_me:$LINENO: result: $OCAMLC" >&5
echo "${ECHO_T}$OCAMLC" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
fi
Reid Spencer's avatar
Reid Spencer committed

Torok Edwin's avatar
Torok Edwin committed
  test -n "$OCAMLC" && break
done
Torok Edwin's avatar
Torok Edwin committed
for ac_prog in ocamlopt
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_OCAMLOPT+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
else
  case $OCAMLOPT in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_OCAMLOPT="$OCAMLOPT" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_OCAMLOPT="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
fi
OCAMLOPT=$ac_cv_path_OCAMLOPT
if test -n "$OCAMLOPT"; then
  { echo "$as_me:$LINENO: result: $OCAMLOPT" >&5
echo "${ECHO_T}$OCAMLOPT" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Reid Spencer's avatar
Reid Spencer committed

Torok Edwin's avatar
Torok Edwin committed
  test -n "$OCAMLOPT" && break
done
Torok Edwin's avatar
Torok Edwin committed
for ac_prog in ocamldep
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_OCAMLDEP+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Reid Spencer's avatar
Reid Spencer committed
else
Torok Edwin's avatar
Torok Edwin committed
  case $OCAMLDEP in
Reid Spencer's avatar
Reid Spencer committed
  [\\/]* | ?:[\\/]*)
Torok Edwin's avatar
Torok Edwin committed
  ac_cv_path_OCAMLDEP="$OCAMLDEP" # Let the user override the test with a path.
Reid Spencer's avatar
Reid Spencer committed
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_OCAMLDEP="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Reid Spencer's avatar
Reid Spencer committed
    break 2
  fi
done
Reid Spencer's avatar
Reid Spencer committed

  ;;
esac
fi
Torok Edwin's avatar
Torok Edwin committed
OCAMLDEP=$ac_cv_path_OCAMLDEP
if test -n "$OCAMLDEP"; then
  { echo "$as_me:$LINENO: result: $OCAMLDEP" >&5
echo "${ECHO_T}$OCAMLDEP" >&6; }
Reid Spencer's avatar
Reid Spencer committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Reid Spencer's avatar
Reid Spencer committed
fi

Torok Edwin's avatar
Torok Edwin committed
  test -n "$OCAMLDEP" && break
done

for ac_prog in ocamldoc
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_OCAMLDOC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Reid Spencer's avatar
Reid Spencer committed
else
Torok Edwin's avatar
Torok Edwin committed
  case $OCAMLDOC in
Reid Spencer's avatar
Reid Spencer committed
  [\\/]* | ?:[\\/]*)
Torok Edwin's avatar
Torok Edwin committed
  ac_cv_path_OCAMLDOC="$OCAMLDOC" # Let the user override the test with a path.
Reid Spencer's avatar
Reid Spencer committed
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_OCAMLDOC="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Reid Spencer's avatar
Reid Spencer committed
    break 2
  fi
done
Reid Spencer's avatar
Reid Spencer committed

  ;;
esac
fi
Torok Edwin's avatar
Torok Edwin committed
OCAMLDOC=$ac_cv_path_OCAMLDOC
if test -n "$OCAMLDOC"; then
  { echo "$as_me:$LINENO: result: $OCAMLDOC" >&5
echo "${ECHO_T}$OCAMLDOC" >&6; }
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
  test -n "$OCAMLDOC" && break
done
Torok Edwin's avatar
Torok Edwin committed
for ac_prog in gas as
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_path_GAS+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
  case $GAS in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_GAS="$GAS" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
Torok Edwin's avatar
Torok Edwin committed
    ac_cv_path_GAS="$as_dir/$ac_word$ac_exec_ext"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
Torok Edwin's avatar
Torok Edwin committed
    break 2
  fi
done
Torok Edwin's avatar
Torok Edwin committed
IFS=$as_save_IFS
Torok Edwin's avatar
Torok Edwin committed
  ;;
esac
Torok Edwin's avatar
Torok Edwin committed
GAS=$ac_cv_path_GAS
if test -n "$GAS"; then
  { echo "$as_me:$LINENO: result: $GAS" >&5
echo "${ECHO_T}$GAS" >&6; }
Torok Edwin's avatar
Torok Edwin committed
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
Torok Edwin's avatar
Torok Edwin committed
  test -n "$GAS" && break
done
Reid Spencer's avatar
Reid Spencer committed

{ echo "$as_me:$LINENO: checking for compiler -Wl,-R<path> option" >&5
echo $ECHO_N "checking for compiler -Wl,-R<path> option... $ECHO_C" >&6; }
if test "${llvm_cv_link_use_r+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Torok Edwin's avatar
Torok Edwin committed
   ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

  oldcflags="$CFLAGS"
  CFLAGS="$CFLAGS -Wl,-R."
  cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_link") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } &&
	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
  { (case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }; } &&
	 { ac_try='test -s conftest$ac_exeext'
  { (case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }; }; then
Torok Edwin's avatar
Torok Edwin committed
  llvm_cv_link_use_r=yes
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	llvm_cv_link_use_r=no
rm -f core conftest.err conftest.$ac_objext \
Torok Edwin's avatar
Torok Edwin committed
  CFLAGS="$oldcflags"
  ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
{ echo "$as_me:$LINENO: result: $llvm_cv_link_use_r" >&5
echo "${ECHO_T}$llvm_cv_link_use_r" >&6; }
Torok Edwin's avatar
Torok Edwin committed
if test "$llvm_cv_link_use_r" = yes ; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_LINK_R 1
_ACEOF
{ echo "$as_me:$LINENO: checking for compiler -Wl,-export-dynamic option" >&5
echo $ECHO_N "checking for compiler -Wl,-export-dynamic option... $ECHO_C" >&6; }
if test "${llvm_cv_link_use_export_dynamic+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Nick Lewycky's avatar
Nick Lewycky committed
else
Torok Edwin's avatar
Torok Edwin committed
   ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

  oldcflags="$CFLAGS"
  CFLAGS="$CFLAGS -Wl,-export-dynamic"
  cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
Nick Lewycky's avatar
Nick Lewycky committed
/* end confdefs.h.  */

int
main ()
{
Nick Lewycky's avatar
Nick Lewycky committed
  ;
  return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_link") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } &&
	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
  { (case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }; } &&
	 { ac_try='test -s conftest$ac_exeext'
  { (case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }; }; then
Torok Edwin's avatar
Torok Edwin committed
  llvm_cv_link_use_export_dynamic=yes
Nick Lewycky's avatar
Nick Lewycky committed
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	llvm_cv_link_use_export_dynamic=no
Torok Edwin's avatar
Torok Edwin committed
fi
Torok Edwin's avatar
Torok Edwin committed
rm -f core conftest.err conftest.$ac_objext \
Torok Edwin's avatar
Torok Edwin committed
  CFLAGS="$oldcflags"
  ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
Nick Lewycky's avatar
Nick Lewycky committed

Nick Lewycky's avatar
Nick Lewycky committed

Nick Lewycky's avatar
Nick Lewycky committed
fi
{ echo "$as_me:$LINENO: result: $llvm_cv_link_use_export_dynamic" >&5
echo "${ECHO_T}$llvm_cv_link_use_export_dynamic" >&6; }
Torok Edwin's avatar
Torok Edwin committed
if test "$llvm_cv_link_use_export_dynamic" = yes ; then
Nick Lewycky's avatar
Nick Lewycky committed

cat >>confdefs.h <<\_ACEOF
#define HAVE_LINK_EXPORT_DYNAMIC 1
_ACEOF
Nick Lewycky's avatar
Nick Lewycky committed

Torok Edwin's avatar
Torok Edwin committed
  fi
Nick Lewycky's avatar
Nick Lewycky committed

Nick Lewycky's avatar
Nick Lewycky committed

Dan Gohman's avatar
Dan Gohman committed
{ echo "$as_me:$LINENO: checking for compiler -Wl,-retain-symbols-file option" >&5
echo $ECHO_N "checking for compiler -Wl,-retain-symbols-file option... $ECHO_C" >&6; }
if test "${llvm_cv_link_use_retain_symbols_file+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
   ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

  oldcflags="$CFLAGS"

  # The following code is from the autoconf manual,
  # "11.13: Limitations of Usual Tools".
  # Create a temporary directory $tmp in $TMPDIR (default /tmp).
  # Use mktemp if possible; otherwise fall back on mkdir,
  # with $RANDOM to make collisions less likely.
  : ${TMPDIR=/tmp}
  {
    tmp=`
      (umask 077 && mktemp -d "$TMPDIR/fooXXXXXX") 2>/dev/null
    ` &&
    test -n "$tmp" && test -d "$tmp"
  } || {
    tmp=$TMPDIR/foo$$-$RANDOM
    (umask 077 && mkdir "$tmp")
  } || exit $?

  echo "main" > "$tmp/exports"

  CFLAGS="$CFLAGS -Wl,-retain-symbols-file=$tmp/exports"
  cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */

int
main ()
{
Dan Gohman's avatar
Dan Gohman committed
  ;
  return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_link") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } &&
	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
  { (case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }; } &&
	 { ac_try='test -s conftest$ac_exeext'
  { (case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }; }; then
  llvm_cv_link_use_retain_symbols_file=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	llvm_cv_link_use_retain_symbols_file=no
fi

rm -f core conftest.err conftest.$ac_objext \
      conftest$ac_exeext conftest.$ac_ext
  rm "$tmp/exports"
  rmdir "$tmp"
  CFLAGS="$oldcflags"
  ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


fi
{ echo "$as_me:$LINENO: result: $llvm_cv_link_use_retain_symbols_file" >&5
echo "${ECHO_T}$llvm_cv_link_use_retain_symbols_file" >&6; }
if test "$llvm_cv_link_use_retain_symbols_file" = yes ; then
  HAVE_LINK_RETAIN_SYMBOLS_FILE=1

  fi


Nick Lewycky's avatar
Nick Lewycky committed

{ echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6; }
if test "${ac_cv_c_const+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
Nick Lewycky's avatar
Nick Lewycky committed
else
  cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h.  */
_ACEOF